
package de.ivu.elect.business.search.control;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 *  on 22.07.2015.
 */
public class SearchParameterState implements Serializable {

  private final List<SearchParameterFieldState> fields = new ArrayList<>();

  private final List<SearchParameterPersistentEntityState> entityFields = new ArrayList<>();

  public SearchParameterState() {
    super();
  }

  public List<SearchParameterFieldState> getFields() {
    return fields;
  }

  public void addSearchParameterFieldState(SearchParameterFieldState searchParameterFieldState) {
    fields.add(searchParameterFieldState);
  }

  public void addSearchParameterPersistentEntityState(SearchParameterPersistentEntityState searchParameterPersistentEntityState) {
    entityFields.add(searchParameterPersistentEntityState);
  }

  public List<SearchParameterPersistentEntityState> getEntityFields() {
    return entityFields;
  }

  @Override
  public String toString() {
    return "SearchParameterState{" + "entityFields=" + entityFields + ", fields=" + fields + '}';
  }
}
